---
obj: application
website: https://www.home-assistant.io/
android-id: io.homeassistant.companion.android.minimal
---

# Home Assistant
Home Assistant is a local smart home hub platform supportig many [integrations](https://www.home-assistant.io/integrations) for automation.

![Screenshot](./home_assistant.avif)

## Configuration
While you can configure most of Home Assistant directly from the user interface, some parts need you to edit `configuration.yaml`.

To improve readability, you can source out certain domains from your main configuration file with the `!include`-syntax.
```yaml
light: !include lights.yaml
```

Example basic configuration:
```yaml
homeassistant:
  name: Home
  latitude: 32.87336
  longitude: 117.22743
  elevation: 430
  unit_system: metric
  currency: USD
  country: US
  time_zone: "America/Los_Angeles"
  external_url: "https://www.example.com"
  internal_url: "http://homeassistant.local:8123"
  allowlist_external_dirs:
    - "/usr/var/dumping-ground"
    - "/tmp"
  allowlist_external_urls:
    - "http://images.com/image1.png"
  media_dirs:
    media: "/media"
    recordings: "/mnt/recordings"
  legacy_templates: false
```

## Docker Compose
```yaml
version: '3'
services:
  homeassistant:
    image: homeassistant/home-assistant:stable
    volumes:
      - ./config:/config
    environment:
      - TZ=Europe/Berlin
    restart: always
    network_mode: host
```
